Skip to main content
GET
List per-case records in a run

Authorizations

Authorization
string
header
required

User PAT (td_pat_) scoped to the target project

Path Parameters

projectId
string
required

The project identifier (e.g. project_abc123). Must match the project associated with your PAT.

runId
string
required

Query Parameters

Match by case title or caseKey.

assignee
string

User _id or email.

result
string

Filter by result/status.

status
string

Alias for result.

sortBy
enum<string>
Available options:
createdAt,
updatedAt,
status,
caseKey
sortOrder
enum<string>
Available options:
asc,
desc
page
integer
Required range: x >= 1
limit
integer

Default 25.

Required range: 1 <= x <= 200

Response

Per-case record list

success
enum<boolean>
Available options:
true
data
object
pagination
object